import { FcrCheckbox } from '../checkbox';
import React from 'react';
import './index.css';
import classnames from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
export var MultiSelectCheckbox = function MultiSelectCheckbox(_ref) {
  var styles = _ref.styles,
    self = _ref.self,
    nextMsgBelongSameUser = _ref.nextMsgBelongSameUser,
    checkDisabled = _ref.checkDisabled,
    checked = _ref.checked,
    _onChange = _ref.onChange;
  var cls = classnames('fcr-checkbox-wrapper', {
    'fcr-checkbox-wrapper-disabled': checkDisabled
  });
  return /*#__PURE__*/_jsx("div", {
    className: cls,
    style: {
      paddingRight: self ? 17 : 34
    },
    children: /*#__PURE__*/_jsx(FcrCheckbox, {
      style: {
        marginBottom: nextMsgBelongSameUser ? 4 : 15
        //   cursor: checkDisabled ? 'not-allowed' : 'pointer',
      },
      disabled: checkDisabled,
      size: "small",
      checked: checked,
      onChange: function onChange(checked) {
        _onChange && _onChange(checked);
      }
    })
  });
};